SDB:Репозитории KDE

Перейти к: навигация, поиск
Этот список описывает доступные репозитории KDE. Не все из них являются официальными.
Внимание: Избегайте смешивания разных версий KDE (Stable/Factory/Unstable/...).
Внимание: Репозиторий KDE:Unstable:SC был удален в рамках обслуживания KDE 4.
Внимание: Обратите внимание: в репозитории KDE:Current теперь находится набор приложений KDE версии 14.12.3 и обновляться он больше не будет.

Основы

Репозитории делятся на три основные группы, а именно:

  • Основные пакеты KDE Framework/Plasma — группа содержит основные библиотеки и компоненты Plasma Workspace.
  • Пакеты приложений KDE — группа содержит новейшие версии приложений KDE как, например, Dolphin, Kdenlive, KTP, Konqueror и т.п.
  • Пакеты приложений базирующиеся на KDE/Qt — группа содержит приложения основанные на библиотеках KDE или Qt, как, например, Amarok, Konversation, Quassel и другие.

Maintenance Updates

С момента выхода openSUSE 12.3 команда openSUSE KDE Community предоставляет новые незначительные версии набора программного обеспечения KDE через репозиторий Update. Это означает, что выпуски KDE с исправлениями будут получены пользователями без необходимости в добавлении дополнительных репозиториев. В связи с этим, существующие до этого момента репозитории KDE были реструктурированы.


На текущий момент у нас есть следующие задачи по сопровождению пакетов:

openSUSE 12.3: Предоставлен доступ к KDE SC 4.10 и обновлениям с исправлениями до версии KDE SC 4.10.5.

openSUSE 13.1: Предоставлен доступ к KDE SC 4.11.2 и обновлениям с исправлениями до версии KDE SC 4.11.5.

openSUSE 13.2: Предоставлен доступ к KDE SC 4.14.2.

Какие репозитории доступны

Для пользователей

  • Обновления выпусков программного обеспечения KDE
    Здесь находятся более новые версии KDE SC выпущенные сообществом KDE плюс патчи сообщества openSUSE (выпущенный и невыпущенный). Пакеты доступны для всех поддерживаемых версий openSUSE.
  • KDE UpdatedApps
    Новейшие версии отдельных приложений KDE из openSUSE Factory, пакеты которых были созданы для выпущенных дистрибутивов. Вам не нужно обновлять KDE, но Вы можете это сделать так как совместимость KDE сохранится. Эти пакеты сопровождаются командой KDE.
  • KDE Extra
    Приложения KDE недоступные в составе основного дистрибутива.

Для добровольных помощников

  • KDE Unstable Playground
    Альфа, бета и срезы репозиториев СКВ разрабатываемых версий приложений KDE.

Я хочу...


Только обновление программ

Если Вы используете официальные, поддерживаемые и проверенные базовые пакеты KDE, поставляемые в составе дистрибутива, то эти дополнительные репозитории окажутся полезными.

Внимание: Специальное уведомление для пользователей репозитория Unstable:Extra. По мере того как то все больше и больше программ KDE переводятся на использование технологий KDE Frameworks 5 нестабильные репозитории все больше теряют свою полезность для пользователей KDE 4. В ближайшем будущем репозиторий Unstable:SC будет удален, а Unstable:Extra будет использоваться для начала работы над подготовкой приложений KDE Frameworks.
Не для всех приложений KF5 существует возможность отреагировать на сообщения об ошибках. Всегда сначала сообщите об ошибке в KDE, если используется репозиторий KDE:Unstable:Extra.

Последнюю версию KDE SC 4

Используйте этот репозиторий, если необходим доступ к последней версии KDE SC 4, набору программного обеспечения KDE Applications 14.12.3 и Plasma 4.

Так как KDE 4.14 является последним крупным выпуском для KDE SC 4, мы просто продолжим предоставлять обновления с исправлениями для openSUSE 13.2 через основной репозиторий обновлений. По этому нет смысла делать тоже самое для openSUSE 13.2 с помощью репозитория KDE:Current.

Внимание: Вместе с обновлением KDE Applications до версии 14.12.3 в репозитории KDE:Current пакеты больше обновляться не будут так как новые версии будут формироваться на основе KDE Framework.
Внимание: Удалите все репозитории из секции Только обновление программ, если необходимо перейти на использование KDE:Current.
Версия: 42.3
  • Пока не доступны


Factory aka. KDF (Самая последняя версия KDE SC, включая Beta и RC)

Эти репозитории содержат пакеты KDE для предстоящего выпуска openSUSE и включают в себя специфичные для openSUSE патчи. Вам нужно добавить репозиторий с основными пакетами для использования Extra или Unstable:Playground.

Указанные ниже репозитории будут доступны только при выходе новой бета-версии KDE SC.


KDE Frameworks 5 и Plasma 5

Внимание: KDE Frameworks 5 сейчас находится в состоянии тестирования и она предназначена для храбрых тестировщиков и разработчиков.
Для добавления пункта выбора этой версией KDE в менеджере сессий установите пакет plasma-next-session.

Выпуски KDE Frameworks 5 и Plasma 5. Эти пакеты можно устанавливать совместно с KDE SC 4 и Qt 4. Обновления предоставляются на регулярной основе для тех пакетов, которые получили обновления в upstream. Эти пакеты могут не всегда включать патчи, специфичные для openSUSE и доступны только для x64-битной версии последнего релиза openSUSE и openSUSE Factory.

При наличии проблемы с запуском plasma-next со следующей ошибкой "Could not start D-Bus. Can you Call qdbus? Error please help" выполните zypper dup для репозитория Qt5.3.

KF5, Plasma 5 и KF5-based приложения (нестабильные)

Ежедневные сборки KDE Frameworks 5, Plasma 5 и KF5-based приложения из trunk. В этот репозитории ведется подготовка пакетов для KDE:Framework5 и openSUSE:Factory. Учитывая быстрые темпы развития, использование этих репозиториев не рекомендуется на производственных системах. Они в основном предназначены для разработчиков и для ознакомления с последними версиями.

Внимание: Начиная с 12 июня 2014 года пакеты Plasma 5 больше не могут быть установлены совместно с пакетами из состава kde-workspace 4.x.

Перед началом использования Plasma 5, пожалуйста, ознакомьтесь с известными ошибками: https://community.kde.org/Plasma/5.2_Errata


KDE 3.5.10

Это последний выпуск KDE 3 для вышедших дистрибутивов. Обратитесь к отдельной странице для получения дополнительной информации и адресов репозиториев.


Qt

Внимание: Вам не нужно добавлять этот репозиторий, если Вы уже используете один из репозиториев KDE приведенных выше. Они уже включают в себя нужные пакеты Qt.

Qt 4

Qt версии 4.x.x в настоящий момент считается самой стабильной, при этом активно развиваясь. Не требуется, если используются KDE:Distro:Factory или KDE:Distro:Stable репозитории.

Qt 4.8 Development Snapshots

Только для разработчиков

Qt 5

Последний стабильный выпуск Qt (текущий 5.3.2)

Qt 5.2.x

Последняя стабильная версия Qt 5.2 (5.2.1)

Qt 5.3 Development Snapshots

Только для разработчиков.

Qt 5.4 Development Snapshots

Только для разработчиков.


Создание своих пакетов Qt/KDE-приложений

Для создания ваших пакетов KDE 4.x или Qt 4.x приложений, выберите один из следующих репозиториев в качестве места для их размещения (Чтобы добавить репозиторий, нажмите "Advanced" и выберите имя нужного репозитория из списка):

  • KDE:Qt - если Вы хотите собрать пакет приложения зависящего только от Qt, основанное на стабильном выпуске Qt 4.x. Этот репозиторий в настоящее время предоставляет Qt версии 4.8.x
  • KDE:Qt48 - если Вам нужен конкретно Qt 4.8.x.
  • KDE:Release:<KDE SC release> - если Вы хотите собрать приложение KDE для KDE 4.6.0 для любого выпуска openSUSE.
  • KDE:Distro:Factory - если вы хотите собрать приложение KDE для KDE 4.6.x для любого выпуска openSUSE.

Смотрите также